Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SchemaObject

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SchemaObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  TieSchemaObject

    public class SchemaObject

extends TieLibraryObject
implements SchemaObjectInterface

SchemaObject is an abstract superclass for the objects that define and manage the data that is persistently stored by the iFS server.

See Also:
  `SchemaCategory`
(Published)

Field Summary
`static java.lang.String` | `ACTIVE_ATTRIBUTE` An indicator of whether this SchemaObject is still used.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of this SchemaObject.
`static java.lang.String` | `POLICYBUNDLE_ATTRIBUTE` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`static java.lang.String` | `POLICYLISTS_ATTRIBUTE` The set of PolicyLists explicitly applied to this object.
`static java.lang.String` | `PROPERTYBUNDLE_ATTRIBUTE` The PropertyBundle applied to this SchemaObject which contains a set of name/value pairs.

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `SchemaObject(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Internal use only: Constructs a SchemaObject.

Method Summary
`SchemaCategory` | `addCategory(SchemaCategoryDefinition catdef)` Adds a SchemaCategory associated with this SchemaObject
`protected static SchemaObject` | `constructSchemaObject(LibrarySession sess, S_LibraryObjectData data)` Internal use only: Constructs a SchemaObject for the specified data.
`protected static java.util.Vector` | `constructSchemaObjectVector(LibrarySession sess, java.util.Vector vector)` Internal use only: Converts a vector of S_LibraryObjectDatas to a vector of SchemaObjects.
`void` | `free(LibraryObjectDefinition def)` Permanently removes this object from the repository, with options.
`SchemaCategory[]` | `getCategories()` Returns an array of Schemacategories for this schemaObject.
`SchemaCategory[]` | `getCategories(ClassObject classobj)` Returns the associated SchemaCategory objects that are instances of the ClassObject (or one of its subclasses) specified.
`SchemaCategory[]` | `getCategories(ClassObject classobj, SortSpecification sort)` Returns the associated SchemaCategory objects that are instances of the specified class or a subclass of the specified class.
`SchemaCategory[]` | `getCategories(SortSpecification sort)` Returns the associated SchemaCategory objects.
`PolicyPropertyBundle` | `getPolicyBundle()` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`PolicyList[]` | `getPolicyLists()` Gets the PolicyLists for this object.
`protected SchemaObject` | `handleCreate(LibraryObjectDefinition lodef)` Handle the low-level creation of the SchemaObject
`boolean` | `hasNameAttribute()` override to return true for any SchemaObject, indicating that the instance has a NAME attribute.
`boolean` | `isActive()` Gets whether this SchemaObject is active.
`protected void` | `postCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions after the creation of a SchemaObject.
`protected void` | `postUpdate(LibraryObjectDefinition lodef)` Extensibility point to perform actions after the update of a SchemaObject.
`void` | `putPolicy(Policy policy)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `removeAllPolicies()` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `removePolicy(Policy policy)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `removePolicy(java.lang.String opname)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `setActive(boolean active)` Specifies whether this SchemaObject is active.
`void` | `setPolicyBundle(PolicyPropertyBundle bundle)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `setPolicyLists(PolicyList[] policyLists)` Sets the PolicyLists for this object.

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preCreate, preFree, prePostAuditEvent, preUpdate, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `SchemaObject`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `SchemaObject`
  The name of this SchemaObject.

  See Also:
    Constant Field Values
  (Published)

### POLICYLISTS_ATTRIBUTE

    public static final java.lang.String POLICYLISTS_ATTRIBUTE

  Description copied from class: `SchemaObject`
  The set of PolicyLists explicitly applied to this object.

  See Also:
    Constant Field Values
  (Published)

### POLICYBUNDLE_ATTRIBUTE

    public static final java.lang.String POLICYBUNDLE_ATTRIBUTE

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
  Description copied from class: `SchemaObject`
  The PolicyPropertyBundle applied to this SchemaObject to define the policies of the SchemaObject.

  See Also:
    Constant Field Values
  (Published)

### ACTIVE_ATTRIBUTE

    public static final java.lang.String ACTIVE_ATTRIBUTE

  Description copied from class: `SchemaObject`
  An indicator of whether this SchemaObject is still used. Inactive SchemaObjects are not included in Collections.

  See Also:
    Constant Field Values
  (Published)

### PROPERTYBUNDLE_ATTRIBUTE

    public static final java.lang.String PROPERTYBUNDLE_ATTRIBUTE

  Description copied from class: `SchemaObject`
  The PropertyBundle applied to this SchemaObject which contains a set of name/value pairs.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### SchemaObject

    protected SchemaObject(LibrarySession session,
                           java.lang.Long id,
                           java.lang.Long classId,
                           S_LibraryObjectData data)
                    throws IfsException

  Internal use only: Constructs a SchemaObject.

  For internal use only. Do not use this method.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### handleCreate

    protected SchemaObject handleCreate(LibraryObjectDefinition lodef)
                                 throws IfsException

  Description copied from class: `SchemaObject`
  Handle the low-level creation of the SchemaObject

  Parameters:
    `lodef` - object definition that will be used to create the object
  Returns:
    the object created (typically the target object)
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### postCreate

    protected void postCreate(LibraryObjectDefinition lodef)
                       throws IfsException

  Description copied from class: `SchemaObject`
  Extensibility point to perform actions after the creation of a SchemaObject.

  This assumes that a transaction context has already been established.

  Overrides:
    `postCreate` in class `LibraryObject`
  Parameters:
    `lodef` - object definition that was used to create the object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### postUpdate

    protected void postUpdate(LibraryObjectDefinition lodef)
                       throws IfsException

  Description copied from class: `SchemaObject`
  Extensibility point to perform actions after the update of a SchemaObject.

  Create any categories that are specified in the definition.

  Overrides:
    `postUpdate` in class `LibraryObject`
  Parameters:
    `lodef` - object definition used to define how the target object was updated
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### free

    public void free(LibraryObjectDefinition def)
              throws IfsException

  Description copied from class: `SchemaObject`
  Permanently removes this object from the repository, with options.

  If a null definition is specified, a default definition is used.

  Overrides:
    `free` in class `LibraryObject`
  Parameters:
    `def` - Context for the free operation.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `SchemaObject`
  override to return true for any SchemaObject, indicating that the instance has a NAME attribute.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setActive

    public void setActive(boolean active)
                   throws IfsException

  Description copied from class: `SchemaObject`
  Specifies whether this SchemaObject is active.

  Inactive SchemaObjects are excluded from the contents of the Collections returned by the `LibrarySession.getcollectionCollection` methods. This allows an application to remove a no-longer used SchemaObject from picklists without the referential integrity consequences of removing it using `free`.

  Parameters:
    `active` - whether the SchemaObject is active
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isActive

    public boolean isActive()
                     throws IfsException

  Description copied from class: `SchemaObject`
  Gets whether this SchemaObject is active.

  Inactive SchemaObjects are excluded from the contents of the Collections returned by the `LibrarySession.getcollectionCollection` methods. This allows an application to remove a no-longer used SchemaObject from picklists without the referential integrity consequences of removing it using `free`.

  Returns:
    whether the SchemaObject is active
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPolicyLists

    public void setPolicyLists(PolicyList[] policyLists)
                        throws IfsException

  Description copied from class: `SchemaObject`
  Sets the PolicyLists for this object.

  Parameters:
    `policyLists` - the PolicyList objects to apply
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPolicyLists

    public PolicyList[] getPolicyLists()
                                throws IfsException

  Description copied from class: `SchemaObject`
  Gets the PolicyLists for this object.

  Returns:
    the PolicyLists
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPolicyBundle

    public void setPolicyBundle(PolicyPropertyBundle bundle)
                         throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SchemaObject`
  Sets the policy bundle PropertyBundle of this SchemaObject.

  Parameters:
    `bundle` - the policy bundle
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPolicyBundle

    public PolicyPropertyBundle getPolicyBundle()
                                         throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SchemaObject`
  Gets the policy bundle PropertyBundle of this SchemaObject.

  Returns:
    the policy bundle
  Throws:
    `IfsException` - if the operation fails
  (Published)

### putPolicy

    public void putPolicy(Policy policy)
                   throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SchemaObject`
  Adds a Policy to the policy bundle PropertyBundle of this SchemaObject.

  If this SchemaObject doesn't have a policy bundle, this method will create one with a Published ACL and default name and description.

  Parameters:
    `policy` - the Policy to add
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removePolicy

    public void removePolicy(java.lang.String opname)
                      throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SchemaObject`
  Removes a Policy from this SchemaObject's policy bundle PropertyBundle.

  Parameters:
    `opname` - the operation name of the Policy to remove
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removePolicy

    public void removePolicy(Policy policy)
                      throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SchemaObject`
  Removes a Policy from this SchemaObject's policy bundle PropertyBundle.

  Parameters:
    `policy` - the Policy to remove
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removeAllPolicies

    public void removeAllPolicies()
                           throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `SchemaObject`
  Removes all Policy objects from this SchemaObject's policy bundle PropertyBundle, leaving an empty PropertyBundle.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### addCategory

    public SchemaCategory addCategory(SchemaCategoryDefinition catdef)
                               throws IfsException

  Description copied from class: `SchemaObject`
  Adds a SchemaCategory associated with this SchemaObject

  Parameters:
    `catdef` - the SchemaCategoryDefinition that describes the new Category that will be associated with this SchemaObject.
  Returns:
    the newly created SchemaCategory
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCategories

    public SchemaCategory[] getCategories(SortSpecification sort)
                                   throws IfsException

  Description copied from class: `SchemaObject`
  Returns the associated SchemaCategory objects. Returns null if no SchemaCategory objects are associated.

  Parameters:
    `sort` - the specification of how the returned SchemaCategory objects will be sorted.
  Returns:
    array of SchemaCategory objects associated with the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCategories

    public SchemaCategory[] getCategories(ClassObject classobj)
                                   throws IfsException

  Description copied from class: `SchemaObject`
  Returns the associated SchemaCategory objects that are instances of the ClassObject (or one of its subclasses) specified. Returns null if no SchemaCategory objects are associated.

  Parameters:
    `classobj` - the class of SchemaCategory
  Returns:
    array of SchemaCategory objects associated with the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCategories

    public SchemaCategory[] getCategories(ClassObject classobj,
                                          SortSpecification sort)
                                   throws IfsException

  Description copied from class: `SchemaObject`
  Returns the associated SchemaCategory objects that are instances of the specified class or a subclass of the specified class. If a null ClassObject is specified, all SchemaCategories will be returned. Returns null if no SchemaCategory objects are associated.

  Parameters:
    `classobj` - the class of SchemaCategory
    `sort` - the specification of how the returned SchemaCategory objects will be sorted.
  Returns:
    array of SchemaCategory objects associated with the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCategories

    public SchemaCategory[] getCategories()
                                   throws IfsException

  Description copied from class: `SchemaObject`
  Returns an array of Schemacategories for this schemaObject.

  Returns:
    array of categories for this object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### constructSchemaObjectVector

    protected static java.util.Vector constructSchemaObjectVector(LibrarySession sess,
                                                                  java.util.Vector vector)
                                                           throws IfsException

  Description copied from class: `SchemaObject`
  Internal use only: Converts a vector of S_LibraryObjectDatas to a vector of SchemaObjects.

  For internal use only. Do not use this method.

  Parameters:
    `sess` - the session
    `vector` - the S_LibraryObjectData vector
  Returns:
    the SchemaObject vector
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructSchemaObject

    protected static SchemaObject constructSchemaObject(LibrarySession sess,
                                                        S_LibraryObjectData data)
                                                 throws IfsException

  Description copied from class: `SchemaObject`
  Internal use only: Constructs a SchemaObject for the specified data.

  For internal use only. Do not use this method.

  Parameters:
    `sess` - the session
    `data` - the data
  Returns:
    the SchemaObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD